post
https://saner.secpod.com/AncorWebService/perform
This method returns all the vulnerabilities that exist on a device. You can get the vulnerabilities for a single device or all devices. If you don’t specify the hostname, vulnerabilities present on all the devices in the Account gets listed. To fetch vulnerabilities for all network devices, set the deviceType key to "network" and omit the hostnames key. Similarly, to fetch vulnerabilities for all endpoint devices, set the deviceType key to "end-point" and omit the hostnames key.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountname | Account name for which vulnerabilities are to be fetched | Yes | string |
| hostnames | List of device hostnames to fetch vulnerabilities (optional for all) | No | array |
| deviceType | Device type filter (end-point or network) | No | string |
